gtkmm: Gtk::Stock Namespace Reference

gtkmm 3.24.8

Functions | Variables
Gtk::Stock Namespace Reference

## Functions
void | add (const Gtk::StockItem & item)
| Add a stock item to the list of registered stock items. More...
bool | lookup (const Gtk::StockID & stock_id, Gtk::StockItem & item)
| Fills item with the registered values for stock_id. More...
bool | lookup (const Gtk::StockID & stock_id, Glib::RefPtr< Gtk::IconSet > & iconset)
| See IconSet::lookup_default() More...
bool | lookup (const Gtk::StockID & stock_id, Gtk::IconSize size, Gtk::Image & image)
| Receive an Image of the registered stock id with the correct size. More...
std::vector< Gtk::StockID > | get_ids ()
| Retrieves a list of all known stock IDs added to an IconFactory or registered with Stock::add(). More...

## Variables
const Gtk::BuiltinStockID | DIALOG_AUTHENTICATION
const Gtk::BuiltinStockID | DIALOG_INFO
const Gtk::BuiltinStockID | DIALOG_WARNING
const Gtk::BuiltinStockID | DIALOG_ERROR
const Gtk::BuiltinStockID | DIALOG_QUESTION
const Gtk::BuiltinStockID | DND
const Gtk::BuiltinStockID | DND_MULTIPLE
const Gtk::BuiltinStockID | ABOUT
const Gtk::BuiltinStockID | ADD
const Gtk::BuiltinStockID | APPLY
const Gtk::BuiltinStockID | BOLD
const Gtk::BuiltinStockID | CANCEL
const Gtk::BuiltinStockID | CAPS_LOCK_WARNING
const Gtk::BuiltinStockID | CDROM
const Gtk::BuiltinStockID | CLEAR
const Gtk::BuiltinStockID | CLOSE
const Gtk::BuiltinStockID | COLOR_PICKER
const Gtk::BuiltinStockID | CONVERT
const Gtk::BuiltinStockID | CONNECT
const Gtk::BuiltinStockID | COPY
const Gtk::BuiltinStockID | CUT
const Gtk::BuiltinStockID | DELETE
const Gtk::BuiltinStockID | DIRECTORY
const Gtk::BuiltinStockID | DISCARD
const Gtk::BuiltinStockID | DISCONNECT
const Gtk::BuiltinStockID | EDIT
const Gtk::BuiltinStockID | EXECUTE
const Gtk::BuiltinStockID | FILE
const Gtk::BuiltinStockID | FIND
const Gtk::BuiltinStockID | FIND_AND_REPLACE
const Gtk::BuiltinStockID | FLOPPY
const Gtk::BuiltinStockID | FULLSCREEN
const Gtk::BuiltinStockID | LEAVE_FULLSCREEN
const Gtk::BuiltinStockID | GOTO_BOTTOM
const Gtk::BuiltinStockID | GOTO_FIRST
const Gtk::BuiltinStockID | GOTO_LAST
const Gtk::BuiltinStockID | GOTO_TOP
const Gtk::BuiltinStockID | GO_BACK
const Gtk::BuiltinStockID | GO_DOWN
const Gtk::BuiltinStockID | GO_FORWARD
const Gtk::BuiltinStockID | GO_UP
const Gtk::BuiltinStockID | HARDDISK
const Gtk::BuiltinStockID | HELP
const Gtk::BuiltinStockID | HOME
const Gtk::BuiltinStockID | INDEX
const Gtk::BuiltinStockID | INFO
const Gtk::BuiltinStockID | INDENT
const Gtk::BuiltinStockID | UNINDENT
const Gtk::BuiltinStockID | ITALIC
const Gtk::BuiltinStockID | JUMP_TO
const Gtk::BuiltinStockID | JUSTIFY_CENTER
const Gtk::BuiltinStockID | JUSTIFY_FILL
const Gtk::BuiltinStockID | JUSTIFY_LEFT
const Gtk::BuiltinStockID | JUSTIFY_RIGHT
const Gtk::BuiltinStockID | MISSING_IMAGE
const Gtk::BuiltinStockID | MEDIA_FORWARD
const Gtk::BuiltinStockID | MEDIA_NEXT
const Gtk::BuiltinStockID | MEDIA_PAUSE
const Gtk::BuiltinStockID | MEDIA_PLAY
const Gtk::BuiltinStockID | MEDIA_PREVIOUS
const Gtk::BuiltinStockID | MEDIA_RECORD
const Gtk::BuiltinStockID | MEDIA_REWIND
const Gtk::BuiltinStockID | MEDIA_STOP
const Gtk::BuiltinStockID | NETWORK
const Gtk::BuiltinStockID | NEW
const Gtk::BuiltinStockID | NO
const Gtk::BuiltinStockID | OK
const Gtk::BuiltinStockID | OPEN
const Gtk::BuiltinStockID | ORIENTATION_PORTRAIT
const Gtk::BuiltinStockID | ORIENTATION_LANDSCAPE
const Gtk::BuiltinStockID | ORIENTATION_REVERSE_LANDSCAPE
const Gtk::BuiltinStockID | ORIENTATION_REVERSE_PORTRAIT
const Gtk::BuiltinStockID | PASTE
const Gtk::BuiltinStockID | PREFERENCES
const Gtk::BuiltinStockID | PAGE_SETUP
const Gtk::BuiltinStockID | PRINT
const Gtk::BuiltinStockID | PRINT_ERROR
const Gtk::BuiltinStockID | PRINT_PREVIEW
const Gtk::BuiltinStockID | PRINT_REPORT
const Gtk::BuiltinStockID | PRINT_WARNING
const Gtk::BuiltinStockID | PROPERTIES
const Gtk::BuiltinStockID | QUIT
const Gtk::BuiltinStockID | REDO
const Gtk::BuiltinStockID | REFRESH
const Gtk::BuiltinStockID | REMOVE
const Gtk::BuiltinStockID | REVERT_TO_SAVED
const Gtk::BuiltinStockID | SAVE
const Gtk::BuiltinStockID | SAVE_AS
const Gtk::BuiltinStockID | SELECT_ALL
const Gtk::BuiltinStockID | SELECT_COLOR
const Gtk::BuiltinStockID | SELECT_FONT
const Gtk::BuiltinStockID | SORT_ASCENDING
const Gtk::BuiltinStockID | SORT_DESCENDING
const Gtk::BuiltinStockID | SPELL_CHECK
const Gtk::BuiltinStockID | STOP
const Gtk::BuiltinStockID | STRIKETHROUGH
const Gtk::BuiltinStockID | UNDELETE
const Gtk::BuiltinStockID | UNDERLINE
const Gtk::BuiltinStockID | UNDO
const Gtk::BuiltinStockID | YES
const Gtk::BuiltinStockID | ZOOM_100
const Gtk::BuiltinStockID | ZOOM_FIT
const Gtk::BuiltinStockID | ZOOM_IN
const Gtk::BuiltinStockID | ZOOM_OUT

## Function Documentation

## ◆ add()

void Gtk::Stock::add | ( | const Gtk::StockItem & | item | ) |

Add a stock item to the list of registered stock items.

Parameters

  item | StockItem to register. If an item already exists with the same stock ID the old item gets replaced.

Deprecated:
  Use icon names instead of StockItem, StockID and BuiltinStockID.

## ◆ get_ids()

std::vector< Gtk::StockID > Gtk::Stock::get_ids | ( |  | ) |

Retrieves a list of all known stock IDs added to an IconFactory or registered with Stock::add().

Returns
  list of all known stock IDs.

Deprecated:
  Use icon names instead of StockItem, StockID and BuiltinStockID.

## ◆ lookup() [1/3]

bool Gtk::Stock::lookup | ( | const Gtk::StockID & | stock_id,
|  | Glib::RefPtr< Gtk::IconSet > & | iconset
| ) |  |

See IconSet::lookup_default()

Parameters

  stock_id | StockID to search for.
  iconset | to fill.

Returns
  `true` if the item was found - `false` otherwise.

Deprecated:
  Use icon names instead of StockItem, StockID and BuiltinStockID.

## ◆ lookup() [2/3]

bool Gtk::Stock::lookup | ( | const Gtk::StockID & | stock_id,
|  | Gtk::IconSize | size,
|  | Gtk::Image & | image
| ) |  |

Receive an Image of the registered stock id with the correct size.

Parameters

  stock_id | StockID to search for.
  size | IconSize of the desired Image.
  image | Image to fill.

Returns
  `true` if the item was found - `false` otherwise

Deprecated:
  Use icon names instead of StockItem, StockID and BuiltinStockID.

## ◆ lookup() [3/3]

bool Gtk::Stock::lookup | ( | const Gtk::StockID & | stock_id,
|  | Gtk::StockItem & | item
| ) |  |

Fills item with the registered values for stock_id.

Parameters

  stock_id | StockID to search for.
  item | item to fill in case stockid was found.

Returns
  `true` if the item was found - `false` otherwise.

Deprecated:
  Use icon names instead of StockItem, StockID and BuiltinStockID.

## Variable Documentation

## ◆ ABOUT

const Gtk::BuiltinStockID Gtk::Stock::ABOUT
| extern

Deprecated:
  Use named icon "help-about" or the label "_About".

## ◆ ADD

const Gtk::BuiltinStockID Gtk::Stock::ADD
| extern

Deprecated:
  Use named icon "list-add" or the label "_Add".

## ◆ APPLY

const Gtk::BuiltinStockID Gtk::Stock::APPLY
| extern

Deprecated:
  Do not use an icon. Use label "_Apply".

## ◆ BOLD

const Gtk::BuiltinStockID Gtk::Stock::BOLD
| extern

Deprecated:
  Use named icon "format-text-bold".

## ◆ CANCEL

const Gtk::BuiltinStockID Gtk::Stock::CANCEL
| extern

Deprecated:
  Do not use an icon. Use label "_Cancel".

## ◆ CAPS_LOCK_WARNING

const Gtk::BuiltinStockID Gtk::Stock::CAPS_LOCK_WARNING
| extern

Deprecated:
  Use named icon "dialog-warning-symbolic".

## ◆ CDROM

const Gtk::BuiltinStockID Gtk::Stock::CDROM
| extern

Deprecated:
  Use named icon "media-optical".

## ◆ CLEAR

const Gtk::BuiltinStockID Gtk::Stock::CLEAR
| extern

Deprecated:
  Use named icon "edit-clear".

## ◆ CLOSE

const Gtk::BuiltinStockID Gtk::Stock::CLOSE
| extern

Deprecated:
  Use named icon "window-close" or the label "_Close".

## ◆ COLOR_PICKER

const Gtk::BuiltinStockID Gtk::Stock::COLOR_PICKER
| extern

Deprecated:
  No replacement available.

## ◆ CONNECT

const Gtk::BuiltinStockID Gtk::Stock::CONNECT
| extern

Deprecated:
  No replacement available.

## ◆ CONVERT

const Gtk::BuiltinStockID Gtk::Stock::CONVERT
| extern

Deprecated:
  No replacement available.

## ◆ COPY

const Gtk::BuiltinStockID Gtk::Stock::COPY
| extern

Deprecated:
  Use the named icon edit-copy or the label "_Copy".

## ◆ CUT

const Gtk::BuiltinStockID Gtk::Stock::CUT
| extern

Deprecated:
  Use the named icon edit-cut or the label "Cu_t".

## ◆ DELETE

const Gtk::BuiltinStockID Gtk::Stock::DELETE
| extern

Deprecated:
  Use the named icon edit-delete or the label "_Delete".

## ◆ DIALOG_AUTHENTICATION

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_AUTHENTICATION
| extern

Deprecated:
  Use named icon "dialog-password".

## ◆ DIALOG_ERROR

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_ERROR
| extern

Deprecated:
  Use named icon "dialog-error".

## ◆ DIALOG_INFO

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_INFO
| extern

Deprecated:
  Use named icon "dialog-information".

## ◆ DIALOG_QUESTION

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_QUESTION
| extern

Deprecated:
  Use named icon "dialog-question".

## ◆ DIALOG_WARNING

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_WARNING
| extern

Deprecated:
  Use named icon "dialog-warning".

## ◆ DIRECTORY

const Gtk::BuiltinStockID Gtk::Stock::DIRECTORY
| extern

Deprecated:
  Use named icon "folder".

## ◆ DISCARD

const Gtk::BuiltinStockID Gtk::Stock::DISCARD
| extern

Deprecated:
  No replacement available.

## ◆ DISCONNECT

const Gtk::BuiltinStockID Gtk::Stock::DISCONNECT
| extern

Deprecated:
  No replacement available.

## ◆ DND

const Gtk::BuiltinStockID Gtk::Stock::DND
| extern

Deprecated:
  No replacement available.

## ◆ DND_MULTIPLE

const Gtk::BuiltinStockID Gtk::Stock::DND_MULTIPLE
| extern

Deprecated:
  No replacement available.

## ◆ EDIT

const Gtk::BuiltinStockID Gtk::Stock::EDIT
| extern

Deprecated:
  No replacement available.

## ◆ EXECUTE

const Gtk::BuiltinStockID Gtk::Stock::EXECUTE
| extern

Deprecated:
  Use named icon "system-run".

## ◆ FILE

const Gtk::BuiltinStockID Gtk::Stock::FILE
| extern

Deprecated:
  Use named icon "text-x-generic".

## ◆ FIND

const Gtk::BuiltinStockID Gtk::Stock::FIND
| extern

Deprecated:
  Use named icon "edit-find".

## ◆ FIND_AND_REPLACE

const Gtk::BuiltinStockID Gtk::Stock::FIND_AND_REPLACE
| extern

Deprecated:
  Use named icon "edit-find-replace".

## ◆ FLOPPY

const Gtk::BuiltinStockID Gtk::Stock::FLOPPY
| extern

Deprecated:
  No replacement available.

## ◆ FULLSCREEN

const Gtk::BuiltinStockID Gtk::Stock::FULLSCREEN
| extern

Deprecated:
  Use named icon "view-fullscreen".

## ◆ GO_BACK

const Gtk::BuiltinStockID Gtk::Stock::GO_BACK
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "go-previous".

## ◆ GO_DOWN

const Gtk::BuiltinStockID Gtk::Stock::GO_DOWN
| extern

Deprecated:
  Use named icon "go-down".

## ◆ GO_FORWARD

const Gtk::BuiltinStockID Gtk::Stock::GO_FORWARD
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "go-next".

## ◆ GO_UP

const Gtk::BuiltinStockID Gtk::Stock::GO_UP
| extern

Deprecated:
  Use named icon "go-up".

## ◆ GOTO_BOTTOM

const Gtk::BuiltinStockID Gtk::Stock::GOTO_BOTTOM
| extern

Deprecated:
  Use named icon "go-bottom".

## ◆ GOTO_FIRST

const Gtk::BuiltinStockID Gtk::Stock::GOTO_FIRST
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "go-first".

## ◆ GOTO_LAST

const Gtk::BuiltinStockID Gtk::Stock::GOTO_LAST
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "go-last".

## ◆ GOTO_TOP

const Gtk::BuiltinStockID Gtk::Stock::GOTO_TOP
| extern

Deprecated:
  Use named icon "go-top".

## ◆ HARDDISK

const Gtk::BuiltinStockID Gtk::Stock::HARDDISK
| extern

Deprecated:
  Use named icon "drive-harddisk".

## ◆ HELP

const Gtk::BuiltinStockID Gtk::Stock::HELP
| extern

Deprecated:
  Use named icon "help-browser".

## ◆ HOME

const Gtk::BuiltinStockID Gtk::Stock::HOME
| extern

Deprecated:
  Use named icon "go-home".

## ◆ INDENT

const Gtk::BuiltinStockID Gtk::Stock::INDENT
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "format-indent-more".

## ◆ INDEX

const Gtk::BuiltinStockID Gtk::Stock::INDEX
| extern

Deprecated:
  No replacement available.

## ◆ INFO

const Gtk::BuiltinStockID Gtk::Stock::INFO
| extern

Deprecated:
  Use named icon "dialog-information".

## ◆ ITALIC

const Gtk::BuiltinStockID Gtk::Stock::ITALIC
| extern

Deprecated:
  Use named icon "format-text-italic".

## ◆ JUMP_TO

const Gtk::BuiltinStockID Gtk::Stock::JUMP_TO
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "go-jump".

## ◆ JUSTIFY_CENTER

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_CENTER
| extern

Deprecated:
  Use named icon "format-justify-center".

## ◆ JUSTIFY_FILL

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_FILL
| extern

Deprecated:
  Use named icon "format-justify-fill".

## ◆ JUSTIFY_LEFT

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_LEFT
| extern

Deprecated:
  Use named icon "format-justify-left".

## ◆ JUSTIFY_RIGHT

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_RIGHT
| extern

Deprecated:
  Use named icon "format-justify-right".

## ◆ LEAVE_FULLSCREEN

const Gtk::BuiltinStockID Gtk::Stock::LEAVE_FULLSCREEN
| extern

Deprecated:
  Use named icon "view-restore".

## ◆ MEDIA_FORWARD

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_FORWARD
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "media-seek-forward" or the label "_Forward".

## ◆ MEDIA_NEXT

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_NEXT
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "media-skip-forward" or the label "_Next".

## ◆ MEDIA_PAUSE

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PAUSE
| extern

Deprecated:
  Use named icon "media-playback-pause" or the label "P_ause".

## ◆ MEDIA_PLAY

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PLAY
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "media-playback-start" or the label "_Play".

## ◆ MEDIA_PREVIOUS

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PREVIOUS
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "media-skip-backward" or the label "Pre_vious".

## ◆ MEDIA_RECORD

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_RECORD
| extern

Deprecated:
  Use named icon "media-record" or the label "_Record".

## ◆ MEDIA_REWIND

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_REWIND
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "media-seek-backward" or the label "R_ewind".

## ◆ MEDIA_STOP

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_STOP
| extern

Deprecated:
  Use named icon "media-playback-stop" or the label "_Stop".

## ◆ MISSING_IMAGE

const Gtk::BuiltinStockID Gtk::Stock::MISSING_IMAGE
| extern

Deprecated:
  Use named icon "image-missing".

## ◆ NETWORK

const Gtk::BuiltinStockID Gtk::Stock::NETWORK
| extern

Deprecated:
  Use named icon "network-workgroup".

## ◆ NEW

const Gtk::BuiltinStockID Gtk::Stock::NEW
| extern

Deprecated:
  Use named icon "document-new" or the label "_New".

## ◆ NO

const Gtk::BuiltinStockID Gtk::Stock::NO
| extern

Deprecated:
  No replacement available.

## ◆ OK

const Gtk::BuiltinStockID Gtk::Stock::OK
| extern

Deprecated:
  Do not use an icon. Use label "_OK".

## ◆ OPEN

const Gtk::BuiltinStockID Gtk::Stock::OPEN
| extern

Deprecated:
  Use named icon "document-open" or the label "_Open".

## ◆ ORIENTATION_LANDSCAPE

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_LANDSCAPE
| extern

Deprecated:
  No replacement available.

## ◆ ORIENTATION_PORTRAIT

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_PORTRAIT
| extern

Deprecated:
  No replacement available.

## ◆ ORIENTATION_REVERSE_LANDSCAPE

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_REVERSE_LANDSCAPE
| extern

Deprecated:
  No replacement available.

## ◆ ORIENTATION_REVERSE_PORTRAIT

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_REVERSE_PORTRAIT
| extern

Deprecated:
  No replacement available.

## ◆ PAGE_SETUP

const Gtk::BuiltinStockID Gtk::Stock::PAGE_SETUP
| extern

Deprecated:
  Use named icon "document-page-setup" or the label "Page Set_up".

## ◆ PASTE

const Gtk::BuiltinStockID Gtk::Stock::PASTE
| extern

Deprecated:
  Use the named icon edit-paste or the label "_Paste".

## ◆ PREFERENCES

const Gtk::BuiltinStockID Gtk::Stock::PREFERENCES
| extern

Deprecated:
  Use named icon "preferences-system" or the label "_Preferences".

## ◆ PRINT

const Gtk::BuiltinStockID Gtk::Stock::PRINT
| extern

Deprecated:
  Use named icon "document-print" or the label "_Print".

## ◆ PRINT_ERROR

const Gtk::BuiltinStockID Gtk::Stock::PRINT_ERROR
| extern

Deprecated:
  Use named icon "printer-error".

## ◆ PRINT_PREVIEW

const Gtk::BuiltinStockID Gtk::Stock::PRINT_PREVIEW
| extern

Deprecated:
  Use label "Pre_view".

## ◆ PRINT_REPORT

const Gtk::BuiltinStockID Gtk::Stock::PRINT_REPORT
| extern

Deprecated:
  No replacement available.

## ◆ PRINT_WARNING

const Gtk::BuiltinStockID Gtk::Stock::PRINT_WARNING
| extern

Deprecated:
  No replacement available.

## ◆ PROPERTIES

const Gtk::BuiltinStockID Gtk::Stock::PROPERTIES
| extern

Deprecated:
  Use named icon "document-properties" or the label "_Properties".

## ◆ QUIT

const Gtk::BuiltinStockID Gtk::Stock::QUIT
| extern

Deprecated:
  Use named icon "application-exit" or the label "_Quit".

## ◆ REDO

const Gtk::BuiltinStockID Gtk::Stock::REDO
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "edit-redo" or the label "_Redo".

## ◆ REFRESH

const Gtk::BuiltinStockID Gtk::Stock::REFRESH
| extern

Deprecated:
  Use named icon "view-refresh" or the label "_Refresh".

## ◆ REMOVE

const Gtk::BuiltinStockID Gtk::Stock::REMOVE
| extern

Deprecated:
  Use named icon "list-remove" or the label "_Remove".

## ◆ REVERT_TO_SAVED

const Gtk::BuiltinStockID Gtk::Stock::REVERT_TO_SAVED
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "document-revert" or the label "_Revert".

## ◆ SAVE

const Gtk::BuiltinStockID Gtk::Stock::SAVE
| extern

Deprecated:
  Use named icon "document-save" or the label "_Save".

## ◆ SAVE_AS

const Gtk::BuiltinStockID Gtk::Stock::SAVE_AS
| extern

Deprecated:
  Use named icon "document-save-as" or the label "Save _As".

## ◆ SELECT_ALL

const Gtk::BuiltinStockID Gtk::Stock::SELECT_ALL
| extern

Deprecated:
  Use named icon "edit-select-all" or the label "Select _All".

## ◆ SELECT_COLOR

const Gtk::BuiltinStockID Gtk::Stock::SELECT_COLOR
| extern

Deprecated:
  No replacement available.

## ◆ SELECT_FONT

const Gtk::BuiltinStockID Gtk::Stock::SELECT_FONT
| extern

Deprecated:
  No replacement available.

## ◆ SORT_ASCENDING

const Gtk::BuiltinStockID Gtk::Stock::SORT_ASCENDING
| extern

Deprecated:
  Use named icon "view-sort-ascending".

## ◆ SORT_DESCENDING

const Gtk::BuiltinStockID Gtk::Stock::SORT_DESCENDING
| extern

Deprecated:
  Use named icon "view-sort-descending".

## ◆ SPELL_CHECK

const Gtk::BuiltinStockID Gtk::Stock::SPELL_CHECK
| extern

Deprecated:
  Use named icon "tools-check-spelling".

## ◆ STOP

const Gtk::BuiltinStockID Gtk::Stock::STOP
| extern

Deprecated:
  Use named icon "process-stop" or the label "_Stop".

## ◆ STRIKETHROUGH

const Gtk::BuiltinStockID Gtk::Stock::STRIKETHROUGH
| extern

Deprecated:
  Use named icon "format-text-strikethrough" or the label "_Strikethrough".

## ◆ UNDELETE

const Gtk::BuiltinStockID Gtk::Stock::UNDELETE
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  No replacement available.

## ◆ UNDERLINE

const Gtk::BuiltinStockID Gtk::Stock::UNDERLINE
| extern

Deprecated:
  Use named icon "format-text-underline" or the label "_Underline".

## ◆ UNDO

const Gtk::BuiltinStockID Gtk::Stock::UNDO
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "edit-undo" or the label "_Undo".

## ◆ UNINDENT

const Gtk::BuiltinStockID Gtk::Stock::UNINDENT
| extern

left-to-right languages:

right-to-left languages:

Deprecated:
  Use named icon "format-indent-less".

## ◆ YES

const Gtk::BuiltinStockID Gtk::Stock::YES
| extern

Deprecated:
  No replacement available.

## ◆ ZOOM_100

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_100
| extern

Deprecated:
  Use named icon "zoom-original" or the label "_Normal Size".

## ◆ ZOOM_FIT

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_FIT
| extern

Deprecated:
  Use named icon "zoom-fit-best" or the label "Best _Fit".

## ◆ ZOOM_IN

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_IN
| extern

Deprecated:
  Use named icon "zoom-in" or the label "Zoom _In".

## ◆ ZOOM_OUT

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_OUT
| extern

Deprecated:
  Use named icon "zoom-out" or the label "Zoom _Out".